Get a merchandising simulation scenario
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storefrontId": "<string>",
"latestTitle": "<string>",
"latestRevisionNumber": 4503599627370495,
"sourceScope": {
"mode": "storefront",
"sourceId": null,
"sourceName": null,
"diagnostics": {
"includedBundleCount": 0,
"includedSignalCount": 0,
"excludedBundleCount": 0,
"excludedSignalCount": 0,
"missingLineageCount": 0,
"ambiguousLineageCount": 0,
"crossSourceLineageCount": 0
}
},
"latestRunnableUntil": "2023-11-07T05:31:56Z",
"isRunnable": true,
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"revisions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scenarioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionNumber": 4503599627370495,
"title": "<string>",
"sourceKind": "sample",
"sourceRef": "<string>",
"briefSnapshot": {},
"observedDecisionSnapshot": {},
"inputSummary": {},
"inputDigest": "<string>",
"schemaVersion": 4503599627370495,
"sourceScope": {
"mode": "storefront",
"sourceId": null,
"sourceName": null,
"diagnostics": {
"includedBundleCount": 0,
"includedSignalCount": 0,
"excludedBundleCount": 0,
"excludedSignalCount": 0,
"missingLineageCount": 0,
"ambiguousLineageCount": 0,
"crossSourceLineageCount": 0
}
},
"runnableUntil": "2023-11-07T05:31:56Z",
"isRunnable": true,
"replayAvailableUntil": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slotIndex": 1,
"generation": 4503599627370495,
"label": "<string>",
"isBaseline": true,
"overrides": {},
"overrideDigest": "<string>",
"supersedesVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"executions": [],
"executionHistory": []
}
],
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Get a merchandising simulation scenario
Read one tenant-scoped scenario with every immutable revision and declared variant generation. Replay inputs are never returned.
GET
/
simulator
/
scenarios
/
{scenarioId}
Get a merchandising simulation scenario
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storefrontId": "<string>",
"latestTitle": "<string>",
"latestRevisionNumber": 4503599627370495,
"sourceScope": {
"mode": "storefront",
"sourceId": null,
"sourceName": null,
"diagnostics": {
"includedBundleCount": 0,
"includedSignalCount": 0,
"excludedBundleCount": 0,
"excludedSignalCount": 0,
"missingLineageCount": 0,
"ambiguousLineageCount": 0,
"crossSourceLineageCount": 0
}
},
"latestRunnableUntil": "2023-11-07T05:31:56Z",
"isRunnable": true,
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"revisions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scenarioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionNumber": 4503599627370495,
"title": "<string>",
"sourceKind": "sample",
"sourceRef": "<string>",
"briefSnapshot": {},
"observedDecisionSnapshot": {},
"inputSummary": {},
"inputDigest": "<string>",
"schemaVersion": 4503599627370495,
"sourceScope": {
"mode": "storefront",
"sourceId": null,
"sourceName": null,
"diagnostics": {
"includedBundleCount": 0,
"includedSignalCount": 0,
"excludedBundleCount": 0,
"excludedSignalCount": 0,
"missingLineageCount": 0,
"ambiguousLineageCount": 0,
"crossSourceLineageCount": 0
}
},
"runnableUntil": "2023-11-07T05:31:56Z",
"isRunnable": true,
"replayAvailableUntil": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slotIndex": 1,
"generation": 4503599627370495,
"label": "<string>",
"isBaseline": true,
"overrides": {},
"overrideDigest": "<string>",
"supersedesVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"executions": [],
"executionHistory": []
}
],
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Get a merchandising simulation scenario
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required range:
0 < x <= 9007199254740991- Option 1
- Option 2
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes